#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
# @Version     : Python 3.11.4
# @Software    : Sublime Text 4
# @Author      : StudentCWZ
# @Email       : StudentCWZ@outlook.com
# @Date        : 2023/10/28 12:50
# @File        : __init__.py
# @Description :
"""


from flask import Flask
from .init_config import init_config
from .init_logger import init_logger
from .init_sqlalchemy import init_database
from .init_bcrypt import init_bcrypt
from .init_migrate import init_migrate
from .init_apispec import init_apispec
from .init_marshmallow import init_marshmallow
from .init_elasticsearch import init_elasticsearch


def init_plugs(app: Flask) -> None:
    init_config(app)
    init_logger(app)
    init_database(app)
    init_bcrypt(app)
    init_migrate(app)
    init_apispec(app)
    init_marshmallow(app)
    init_elasticsearch(app)
